#!/bin/sh
# Print a list of categories from all files
categories=()
read -a files <<< $(ls txt)
for file in "${files[@]}"
do
    IFS=, read -a array <<< $(head -n 1 "txt/$file")
    categories+=("${array[@]}")
done
IFS=" " read -r -a categories <<< "$(tr ' ' '\n' <<< ${categories[@]} | sort -u | tr '\n' ' ')"
echo "${categories[@]}"
